ImagickDraw::push
ImagickDraw::pushDefs
ImagickDraw
PHP Manual

# ImagickDraw::pushClipPath

(PECL imagick 2.0.0)

ImagickDraw::pushClipPath — Starts a clip path definition

### Description

bool ImagickDraw::pushClipPath ( string `$clip_mask_id` )
Warning

This function is currently not documented; only its argument list is available.

Starts a clip path definition which is comprised of any number of drawing commands and terminated by a ImagickDraw::popClipPath() command.

### Parameters

`clip_mask_id`

  Clip mask Id

### Return Values

No value is returned.

ImagickDraw::push
ImagickDraw::pushDefs
ImagickDraw
PHP Manual